package com.engine.organization.mapper.codesetting;

import com.engine.organization.entity.codesetting.po.CodeRulePO;
import org.apache.ibatis.annotations.Param;

/**
 * @Author weaver_cl
 * @description:
 * @Date 2022/5/31
 * @Version V1.0
 **/
public interface CodeRuleMapper {

    Long getCodeRuleId(@Param("serialType") String serialType);

    CodeRulePO getCodeRuleByType(@Param("serialType") String serialType);

    void updateCodeRule(@Param("codeRulePO") CodeRulePO codeRulePO);

    void insertCodeRule(CodeRulePO codeRulePO);
}
